Subject: Re: bug#52943: Cannot build guix as part of guix system reconfigure after commit 224d437fb4 on aarch64

From: Pierre Langlois <[email-masked]>
Date: Sat, 29 Jan 2022 21:35:27 +0000

Leo Famulari <[email-masked]> writes:

> On Sat, Jan 29, 2022 at 08:54:24PM +0000, Pierre Langlois wrote:
>> > Since the 'guix' package still does not build on aarch64, I'm reopening
>> > this bug.
>> 
>> Oh it doesn't? What hash are you on?
>
> I'm not using aarch64, so I can't give a commit hash. I am observing the
> build farm's support for aarch64.
>
>> I'm currently on b14a1cdef571c0901f716f4e752a97e8028ccbbd on a RockPro64
>> and it's working OK, maybe something changed since then although this
>> hash isn't very old. I see the farm does not have any substitutes yet.
>
> As you point out, the build farm cannot build it:
>
> https://ci.guix.gnu.org/search?query=spec%3Amaster+system%3Aaarch64-linux+guix-1.3.0
>
> Maybe it's a problem with in the 'guix' package, maybe in the some other
> package. But the effect for users is the same, and they report things
> like this:
>
> https://issues.guix.gnu.org/53616

Oh I see, I'm not familiar with how the infra works, but it looks like
aarch64 jobs aren't currently scheduled at all: https://ci.guix.gnu.org/build/337714/details

Maybe we could restart it and see if we can reproduce the problem? I
wonder if there's a good reason for jobs not being scheduled, I saw
recent commits regarding new aarch64 HW being set up.

I'll be happy to help debug build issues when we know more of course!

Thanks,
Pierre